diff -urN gcc-14.1.0-orig/gcc/c/c-decl.cc gcc-14.1.0/gcc/c/c-decl.cc
--- gcc-14.1.0-orig/gcc/c/c-decl.cc	2024-05-07 15:51:37 +0900
+++ gcc-14.1.0/gcc/c/c-decl.cc	2024-07-18 01:35:40 +0900
@@ -4539,6 +4539,8 @@
 {
   gcc_assert (TREE_CODE (name) == IDENTIFIER_NODE);
 
+  return name_hint (NULL, NULL);  /* Fuzzy lookup disabled.  */
+
   /* First, try some well-known names in the C standard library, in case
      the user forgot a #include.  */
   const char *header_hint
diff -urN gcc-14.1.0-orig/gcc/c/c-typeck.cc gcc-14.1.0/gcc/c/c-typeck.cc
--- gcc-14.1.0-orig/gcc/c/c-typeck.cc	2024-05-07 15:51:37 +0900
+++ gcc-14.1.0/gcc/c/c-typeck.cc	2024-07-18 01:35:40 +0900
@@ -2513,6 +2513,8 @@
 {
   gcc_assert (TREE_CODE (component) == IDENTIFIER_NODE);
 
+  return NULL_TREE;  /* Fuzzy lookup disabled.  */
+
   /* First, gather a list of candidates.  */
   auto_vec <tree> candidates;
 
diff -urN gcc-14.1.0-orig/gcc/cp/name-lookup.cc gcc-14.1.0/gcc/cp/name-lookup.cc
--- gcc-14.1.0-orig/gcc/cp/name-lookup.cc	2024-05-07 15:51:37 +0900
+++ gcc-14.1.0/gcc/cp/name-lookup.cc	2024-07-18 01:35:40 +0900
@@ -6989,6 +6989,8 @@
 suggest_alternatives_for (location_t location, tree name,
 			  bool suggest_misspellings)
 {
+  return name_hint ();  /* Fuzzy lookup disabled.  */
+
   /* First, search for exact matches in other namespaces.  */
   namespace_hints ns_hints (location, name);
   name_hint result = ns_hints.convert_candidates_to_name_hint ();
@@ -7038,6 +7040,8 @@
 name_hint
 suggest_alternatives_in_other_namespaces (location_t location, tree name)
 {
+  return name_hint ();  /* Fuzzy lookup disabled.  */
+
   namespace_hints ns_hints (location, name);
 
   name_hint result = ns_hints.convert_candidates_to_name_hint ();
@@ -7176,6 +7180,8 @@
 suggest_alternative_in_explicit_scope (location_t location, tree name,
 				       tree scope)
 {
+  return name_hint ();  /* Fuzzy lookup disabled.  */
+
   /* Something went very wrong; don't suggest anything.  */
   if (name == error_mark_node)
     return name_hint ();
@@ -7206,6 +7212,8 @@
 name_hint
 suggest_alternative_in_scoped_enum (tree name, tree scoped_enum)
 {
+  return name_hint ();  /* Fuzzy lookup disabled.  */
+
   gcc_assert (SCOPED_ENUM_P (scoped_enum));
 
   best_match <tree, const char *> bm (name);
@@ -7606,6 +7614,8 @@
 {
   gcc_assert (TREE_CODE (name) == IDENTIFIER_NODE);
 
+  return name_hint ();  /* Fuzzy lookup disabled.  */
+
   /* First, try some well-known names in the C++ standard library, in case
      the user forgot a #include.  */
   const char *header_hint
diff -urN gcc-14.1.0-orig/gcc/cp/search.cc gcc-14.1.0/gcc/cp/search.cc
--- gcc-14.1.0-orig/gcc/cp/search.cc	2024-05-07 15:51:37 +0900
+++ gcc-14.1.0/gcc/cp/search.cc	2024-07-18 01:35:40 +0900
@@ -1350,6 +1350,8 @@
 tree
 lookup_member_fuzzy (tree xbasetype, tree name, bool want_type_p)
 {
+  return NULL_TREE;  /* Fuzzy lookup disabled.  */
+
   tree type = NULL_TREE, basetype_path = NULL_TREE;
   class lookup_field_fuzzy_info lffi (want_type_p);
 
diff -urN gcc-14.1.0-orig/gcc/opt-suggestions.cc gcc-14.1.0/gcc/opt-suggestions.cc
--- gcc-14.1.0-orig/gcc/opt-suggestions.cc	2024-05-07 15:51:38 +0900
+++ gcc-14.1.0/gcc/opt-suggestions.cc	2024-07-18 01:35:40 +0900
@@ -36,6 +36,8 @@
 const char *
 option_proposer::suggest_option (const char *bad_opt)
 {
+  return NULL;  /* Fuzzy lookup disabled.  */
+
   /* Lazily populate m_option_suggestions.  */
   if (!m_option_suggestions)
     build_option_suggestions (NULL);
diff -urN gcc-14.1.0-orig/gcc/opts-common.cc gcc-14.1.0/gcc/opts-common.cc
--- gcc-14.1.0-orig/gcc/opts-common.cc	2024-05-07 15:51:38 +0900
+++ gcc-14.1.0/gcc/opts-common.cc	2024-07-18 01:35:40 +0900
@@ -1412,7 +1412,7 @@
       p += len + 1;
     }
   p[-1] = '\0';
-  return find_closest_string (arg, &candidates);
+  return NULL;  /* find_closest_string (arg, &candidates); */
 }
 
 /* Perform diagnostics for read_cmdline_option and control_warning_option
diff -urN gcc-14.1.0-orig/gcc/opts.cc gcc-14.1.0/gcc/opts.cc
--- gcc-14.1.0-orig/gcc/opts.cc	2024-05-07 15:51:38 +0900
+++ gcc-14.1.0/gcc/opts.cc	2024-07-18 01:35:40 +0900
@@ -2199,6 +2199,8 @@
 			      const struct sanitizer_opts_s *opts,
 			      enum opt_code code, int value)
 {
+  return NULL;  /* Fuzzy lookup disabled.  */
+
   best_match <const string_fragment &, const char*> bm (arg);
   for (int i = 0; opts[i].name != NULL; ++i)
     {
